#ifndef MESSAGES_H
#define MESSAGES_H

#include "ftpaccess.h"
#include "MessagesBase.h"

class Messages : public MessagesBase {
	Q_OBJECT
public:
	Messages(QWidget *parent=0, const char * name=0);
	~Messages();
public slots:
	void ftpaccessLoaded(ftpaccess *xs);
	void update();
	void addMsgPressed();
	void rmMsgPressed();
	void addRdmPressed();
	void rmRdmPressed();
	void MessageAdded(bool readme, ftpmessage *m);
private:
	void		redrawLBs();
	void		addDlg(bool readme);
	ftpaccess *	ftpxs;
};

#endif
